Index: stable/HeuristicLab.Data/3.3/Interfaces/IStringConvertibleArray.cs
===================================================================
--- stable/HeuristicLab.Data/3.3/Interfaces/IStringConvertibleArray.cs	(revision 15584)
+++ stable/HeuristicLab.Data/3.3/Interfaces/IStringConvertibleArray.cs	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Common;
+using HEAL.Attic;
 
 namespace HeuristicLab.Data {
+  [StorableType("27217641-0839-4757-b8f6-6422114b096d")]
   public interface IStringConvertibleArray : IContent, IValueTypeArray {
     bool Validate(string value, out string errorMessage);
Index: stable/HeuristicLab.Data/3.3/Interfaces/IStringConvertibleMatrix.cs
===================================================================
--- stable/HeuristicLab.Data/3.3/Interfaces/IStringConvertibleMatrix.cs	(revision 15584)
+++ stable/HeuristicLab.Data/3.3/Interfaces/IStringConvertibleMatrix.cs	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,6 +23,8 @@
 using System.Collections.Generic;
 using HeuristicLab.Common;
+using HEAL.Attic;
 
 namespace HeuristicLab.Data {
+  [StorableType("5da53526-d2cd-4f2c-bbc9-de34b457892c")]
   public interface IStringConvertibleMatrix : IContent {
     int Rows { get; set; }
Index: stable/HeuristicLab.Data/3.3/Interfaces/IStringConvertibleValue.cs
===================================================================
--- stable/HeuristicLab.Data/3.3/Interfaces/IStringConvertibleValue.cs	(revision 15584)
+++ stable/HeuristicLab.Data/3.3/Interfaces/IStringConvertibleValue.cs	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,6 +22,8 @@
 using System;
 using HeuristicLab.Common;
+using HEAL.Attic;
 
 namespace HeuristicLab.Data {
+  [StorableType("092ea088-1b35-4215-aebd-ee9731856d94")]
   public interface IStringConvertibleValue : IContent {
     bool ReadOnly { get; }
Index: stable/HeuristicLab.Data/3.3/Interfaces/IStringConvertibleValueTuple.cs
===================================================================
--- stable/HeuristicLab.Data/3.3/Interfaces/IStringConvertibleValueTuple.cs	(revision 15584)
+++ stable/HeuristicLab.Data/3.3/Interfaces/IStringConvertibleValueTuple.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -20,5 +20,8 @@
 #endregion
 using HeuristicLab.Core;
+using HEAL.Attic;
+
 namespace HeuristicLab.Data {
+  [StorableType("691961d0-d8ff-436d-a4df-01abeed6e5af")]
   public interface IStringConvertibleValueTuple : IItem {
     IStringConvertibleValue Item1 { get; }
Index: stable/HeuristicLab.Data/3.3/Interfaces/IValueTypeArray.cs
===================================================================
--- stable/HeuristicLab.Data/3.3/Interfaces/IValueTypeArray.cs	(revision 15584)
+++ stable/HeuristicLab.Data/3.3/Interfaces/IValueTypeArray.cs	(revision 17097)
@@ -2,5 +2,5 @@
 
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -27,6 +27,8 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
+using HEAL.Attic;
 
 namespace HeuristicLab.Data {
+  [StorableType("548de1d4-69b4-40b4-ba37-e770575f7315")]
   public interface IValueTypeArray : IItem, IEnumerable {
     bool ReadOnly { get; }
@@ -44,4 +46,5 @@
   }
 
+  [StorableType("f9db5740-1c4f-4f62-a9a8-84b32a461ea8")]
   public interface IValueTypeArray<T> : IValueTypeArray, IEnumerable<T> where T : struct {
     T this[int index] { get; set; }
